bug-ddd
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Compiling DDD with GCC 2.96 (was: Building DDD-3.2.1 and 3.2.91)


From: Andreas Zeller
Subject: Compiling DDD with GCC 2.96 (was: Building DDD-3.2.1 and 3.2.91)
Date: 16 Nov 2000 10:28:25 +0100
User-agent: Gnus/5.0807 (Gnus v5.8.7) XEmacs/21.1 (Channel Islands)

Hi!

Keith Curtis <address@hidden> writes:

>       Just wanted to let you know that ddd/PannedGE.C will not build under
> g++ 2.96 
> (default for c++ under RH 7, lesstif -0.91.21), the error message is
> 
> c++  -DHAVE_CONFIG_H -DNDEBUG -O2 -g -W -Wall -trigraphs  -c -I. -I. -I./..
> -isystem
>  /usr/local/lesstif/include -isystem /usr/X11R6/include -o PannedGE.o
> PannedGE.C
> PannedGE.C: In function `void __static_initialization_and_destruction_0 
> (int, int)':
> PannedGE.C:88: non-lvalue in unary `&'
> make[1]: *** [PannedGE.o] Error 1
> make[1]: Leaving directory `/usr/local/src/ddd-3.2.1/ddd'
> make: *** [all] Error 1
> 
> I was able to determine that for some reason, g++ didn't like
> portholeWidgetClass being statically initialized for
> PannedGraphEditClassRec's data member core_class.superclass (which is of
> type WidgetClass, the exact same
> as portholeWidgetClass).

Hmm.  I don't have gcc 2.96 available here, so I'm not able to
reproduce the problem.  It seems to compile fine, though, with GCC
2.95.2 and GCC 2.97 (work in progress) - so let's just assume it's an
error in GCC 2.96 that will be fixed in the next release.

If you (or anyone else) find a workaround that makes the code compile
under GCC 2.96, I'll be happy to include it.

Thanks for reporting this bug,

Andreas

-- 
Andreas Zeller     Universitaet Passau
                   http://www.fmi.uni-passau.de/st/staff/zeller/



reply via email to

[Prev in Thread] Current Thread [Next in Thread]